<!DOCTYPE html>
<html lang="en">
<head>
  <title>27.30 Button, button group example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- TODO 0: Nhúng thư viện boostrap -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<body>

<div class="jumbotron">
  <h2> 27.30.A: Button Elements - nút ấn</h2>
  <h3> 4 loại button html mặc định </h3>
  <a href="#"  role="button"> Button để Link </a>
  <button type="button" >Button đơn giản</button>
  <input type="button"  value="Input Button - trong form">
  <input type="submit"  value="Submit Button - trong form">
  <hr> 
  <h3> 4 loại button html, định kiểu với <span class = "text-info"> class btn </span> của bootstrap</h3>
  <a class = "btn" href="#"  role="button"> Button để Link "btn" </a>
  <button class = "btn" type="button" >Button đơn giản "btn" </button>
  <input class = "btn" type="button"  value="Input Button - trong form - btn">
  <input class = "btn" type="submit"  value="Submit Button - trong form - btn">
  <hr> 
  <h3> 4 loại button html, định kiểu bootstrap cụ thể hơn, với <span class = "text-success"> class  "btn btn-info", "btn btn-warning" </span></h3>
  <a class = "btn btn-info" href="#"  role="button"> Button để Link "btn btn-info" </a>
  <button class = "btn btn-warning" type="button" >Button đơn giản  "btn btn-warning"</button>
  <input class = "btn btn-info" type="button"  value="Input Button - trong form - btn btn-info">
  <input class = "btn btn-primary" type="submit"  value="Submit Button - trong form - btn - btn-primary">
  <hr>
  <h3 class = "text-info"> Hãy làm 4 nút của bạn. Với các class định kiểu cụ thể khác. Ví dụ btn-success, btn-dark,...</h3>

</div>

<div class="jumbotron btn-light">
  <h2>27.30.B: Button group - nhóm các nút ngang (btn-group) và dọc (btn-group-vertical)  </h2>
  <div class="btn-group" >
    <button type="button" class="btn btn-secondary">1</button>
    <button type="button" class="btn btn-primary">2</button>
    <button type="button" class="btn btn-secondary">3</button>
    <button type="button" class="btn btn-primary">4</button>
  </div>
  <div class="btn-group-vertical" >
    <button type="button" class="btn btn-secondary">4</button>
    <button type="button" class="btn btn-primary">5</button>
    <button type="button" class="btn btn-secondary">6</button>
    <button type="button" class="btn btn-primary">7</button>
  </div>
  <hr>
  <h3 class = "text-info"> Hãy làm nhóm (button group) với 4 nút từ bài 27.30.a của bạn.</h3>
  <div class="btn-group" >
    <a class = "btn btn-info" href="#"  role="button"> Button để Link "btn btn-info" </a>
    <button class = "btn btn-warning" type="button" >Button đơn giản  "btn btn-warning"</button>
    <input class = "btn btn-info" type="button"  value="Input Button - trong form - btn btn-info">
    <input class = "btn btn-primary" type="submit"  value="Submit Button - trong form - btn - btn-primary">  
  </div>

  <div class="btn-group-vertical" >
    <a class = "btn btn-info" href="#"  role="button"> Button để Link "btn btn-info" </a>
    <button class = "btn btn-warning" type="button" >Button đơn giản  "btn btn-warning"</button>
    <input class = "btn btn-info" type="button"  value="Input Button - trong form - btn btn-info">
    <input class = "btn btn-primary" type="submit"  value="Submit Button - trong form - btn - btn-primary">  

  </div>
</div>


</body>
</html>
